ADSys: adsysctl(1)

NAME
adsysctl-completion-fish - Generate the autocompletion script for fish

SYNOPSIS
adsysctl completion fish [flags]

DESCRIPTION
Generate the autocompletion script for the fish shell.

To load completions in your current shell session:

    adsysctl completion fish | source

To load completions for every new session, execute once:

    adsysctl completion fish > ~/.config/fish/completions/adsysctl.fish

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for fish

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --config=""
    use a specific configuration file

-s, --socket="/run/adsysd.sock"
    socket path to use between daemon and client. Can be overridden by systemd socket activation.

-t, --timeout=30
    time in seconds before cancelling the client request when the server gives no result. 0 for no timeout.

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv) or DEBUG with caller (-vvv) output

SEE ALSO
adsysctl-completion(1)

HISTORY
13-Mar-2026 Auto generated by spf13/cobra